# Copyright 2023 highstreet technologies GmbH
#
# Licensed under the Apache License Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing software
# distributed under the License is distributed on an "AS IS" BASIS
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# !/usr/bin/python

"""
A TypeDefinition as enum for countries
"""
from enum import Enum


# Define Country enum
class Country(Enum):
    Afghanistan = "Afghanistan"
    Albania = "Albania"
    Algeria = "Algeria"
    Andorra = "Andorra"
    Angola = "Angola"
    AntiguaAndBarbuda = "Antigua and Barbuda"
    Argentina = "Argentina"
    Armenia = "Armenia"
    Australia = "Australia"
    Austria = "Austria"
    Azerbaijan = "Azerbaijan"
    Bahamas = "Bahamas"
    Bahrain = "Bahrain"
    Bangladesh = "Bangladesh"
    Barbados = "Barbados"
    Belarus = "Belarus"
    Belgium = "Belgium"
    Belize = "Belize"
    Benin = "Benin"
    Bhutan = "Bhutan"
    Bolivia = "Bolivia"
    BosniaAndHerzegovina = "Bosnia and Herzegovina"
    Botswana = "Botswana"
    Brazil = "Brazil"
    Brunei = "Brunei"
    Bulgaria = "Bulgaria"
    BurkinaFaso = "Burkina Faso"
    Burundi = "Burundi"
    CaboVerde = "Cabo Verde"
    Cambodia = "Cambodia"
    Cameroon = "Cameroon"
    Canada = "Canada"
    CentralAfricanRepublic = "Central African Republic"
    Chad = "Chad"
    Chile = "Chile"
    China = "China"
    Colombia = "Colombia"
    Comoros = "Comoros"
    CongoDemocraticRepublic = "Congo (Democratic Republic of the)"
    CongoRepublic = "Congo (Republic of the)"
    CostaRica = "Costa Rica"
    CoteDIvoire = "Côte d'Ivoire"
    Croatia = "Croatia"
    Cuba = "Cuba"
    Cyprus = "Cyprus"
    CzechRepublic = "Czech Republic"
    Denmark = "Denmark"
    Djibouti = "Djibouti"
    Dominica = "Dominica"
    DominicanRepublic = "Dominican Republic"
    Ecuador = "Ecuador"
    Egypt = "Egypt"
    ElSalvador = "El Salvador"
    EquatorialGuinea = "Equatorial Guinea"
    Eritrea = "Eritrea"
    Estonia = "Estonia"
    Eswatini = "Eswatini"
    Ethiopia = "Ethiopia"
    Fiji = "Fiji"
    Finland = "Finland"
    France = "France"
    Gabon = "Gabon"
    Gambia = "Gambia"
    Georgia = "Georgia"
    Germany = "Germany"
    Ghana = "Ghana"
    Greece = "Greece"
    Grenada = "Grenada"
    Guatemala = "Guatemala"
    Guinea = "Guinea"
    GuineaBissau = "Guinea-Bissau"
    Guyana = "Guyana"
    Haiti = "Haiti"
    Honduras = "Honduras"
    Hungary = "Hungary"
    Iceland = "Iceland"
    India = "India"
    Indonesia = "Indonesia"
    Iran = "Iran"
    Iraq = "Iraq"
    Ireland = "Ireland"
    Israel = "Israel"
    Italy = "Italy"
    Jamaica = "Jamaica"
    Japan = "Japan"
    Jordan = "Jordan"
    Kazakhstan = "Kazakhstan"
    Kenya = "Kenya"
    Kiribati = "Kiribati"
    KoreaNorth = "Korea (North)"
    KoreaSouth = "Korea (South)"
    Kosovo = "Kosovo"
    Kuwait = "Kuwait"
    Kyrgyzstan = "Kyrgyzstan"
    Laos = "Laos"
    Latvia = "Latvia"
    Lebanon = "Lebanon"
    Lesotho = "Lesotho"
    Liberia = "Liberia"
    Libya = "Libya"
    Liechtenstein = "Liechtenstein"
    Lithuania = "Lithuania"
    Luxembourg = "Luxembourg"
    Madagascar = "Madagascar"
    Malawi = "Malawi"
    Malaysia = "Malaysia"
    Maldives = "Maldives"
    Mali = "Mali"
    Malta = "Malta"
    MarshallIslands = "Marshall Islands"
    Mauritania = "Mauritania"
    Mauritius = "Mauritius"
    Mexico = "Mexico"
    Micronesia = "Micronesia"
    Moldova = "Moldova"
    Monaco = "Monaco"
    Mongolia = "Mongolia"
    Montenegro = "Montenegro"
    Morocco = "Morocco"
    Mozambique = "Mozambique"
    Myanmar = "Myanmar"
    Namibia = "Namibia"
    Nauru = "Nauru"
    Nepal = "Nepal"
    Netherlands = "Netherlands"
    NewZealand = "New Zealand"
    Nicaragua = "Nicaragua"
    Niger = "Niger"
    Nigeria = "Nigeria"
    NorthMacedonia = "North Macedonia"
    Norway = "Norway"
    Oman = "Oman"
    Pakistan = "Pakistan"
    Palau = "Palau"
    Panama = "Panama"
    PapuaNewGuinea = "Papua New Guinea"
    Paraguay = "Paraguay"
    Peru = "Peru"
    Philippines = "Philippines"
    Poland = "Poland"
    Portugal = "Portugal"
    Qatar = "Qatar"
    Romania = "Romania"
    Russia = "Russia"
    Rwanda = "Rwanda"
    SaintKittsAndNevis = "Saint Kitts and Nevis"
    SaintLucia = "Saint Lucia"
    SaintVincentAndGrenadines = "Saint Vincent and the Grenadines"
    Samoa = "Samoa"
    SanMarino = "San Marino"
    SaoTomeAndPrincipe = "Sao Tome and Principe"
    SaudiArabia = "Saudi Arabia"
    Senegal = "Senegal"
    Serbia = "Serbia"
    Seychelles = "Seychelles"
    SierraLeone = "Sierra Leone"
    Singapore = "Singapore"
    Slovakia = "Slovakia"
    Slovenia = "Slovenia"
    SolomonIslands = "Solomon Islands"
    Somalia = "Somalia"
    SouthAfrica = "South Africa"
    SouthSudan = "South Sudan"
    Spain = "Spain"
    SriLanka = "Sri Lanka"
    Sudan = "Sudan"
    Suriname = "Suriname"
    Sweden = "Sweden"
    Switzerland = "Switzerland"
    Syria = "Syria"
    Taiwan = "Taiwan"
    Tajikistan = "Tajikistan"
    Tanzania = "Tanzania"
    Thailand = "Thailand"
    TimorLeste = "Timor-Leste"
    Togo = "Togo"
    Tonga = "Tonga"
    TrinidadAndTobago = "Trinidad and Tobago"
    Tunisia = "Tunisia"
    Turkey = "Turkey"
    Turkmenistan = "Turkmenistan"
    Tuvalu = "Tuvalu"
    Uganda = "Uganda"
    Ukraine = "Ukraine"
    UnitedArabEmirates = "United Arab Emirates"
    UnitedKingdom = "United Kingdom"
    UnitedStates = "United States"
    Uruguay = "Uruguay"
    Uzbekistan = "Uzbekistan"
    Vanuatu = "Vanuatu"
    VaticanCity = "Vatican City"
    Venezuela = "Venezuela"
    Vietnam = "Vietnam"
    Yemen = "Yemen"
    Zambia = "Zambia"
    Zimbabwe = "Zimbabwe"
